<?php
namespace app\app\model;

use think\Model;

/**
 * 管理员用户
 *
 * @author wj
 * @date 2022-07-25
 */
class tubemodel extends Model
{
    protected $table = "t_tube";
    public function insertData($data)
    {
        if (!isset($data['oprtime']) || empty($data['oprtime']) || !is_string($data['oprtime'])) {
            $data['oprtime'] = date("Y-m-d H:i:s");
        }
        if (isset($data['id'])) {
            unset($data['id']);
        }
        $data = $this->formatData($data);
        if (empty($data)) {
            return false;
        }
        $id = $this->insertGetId($data);
        return $id ? $id : false;
    }

    /**
     * 校验入库数据
     * 20220119
     */
    private function formatData($data)
    {
        $useData = [];
        $fields = $this->getTableFields();
        foreach ($data as $key => $value) {
            if (in_array($key, $fields)) {
                $useData[$key] = $value;
            }
        }
        return $useData;
    }
    public function getInfo($where, $field = "*", $row = true)
    {
        $info = $this->field($field)->where($where);
        if ($row) {
            $info = $info->find();
        } else {
            $info = $info->select();
        }
        return empty($info) ? false : $info;
    }

    public function updateinfo($where, $updateData)
    {
        $row = $this->where($where)->update($updateData);
        return empty($row) ? false : $row;
    }

    public function deleteinfo($where)
    {
        $row = $this->where($where)->delete();
        return empty($row) ? false : $row;
    }

    public function getList($where = [], $field = "*", $page = 1, $size = 10, $order = "id desc", $group = "", $row = false)
    {
        $sqlObj = $this->where($where);
        if ("count" != $field) {
            $sqlObj = $sqlObj->field($field)->order($order)->group($group)->page($page, $size);
            if ($row) {
                $data = $sqlObj->find();
            } else {
                $data = $sqlObj->select();
            }
        } else {
            $data = $sqlObj = $sqlObj->count();
        }
        return $data;
    }
}
